API referenceTenancy
Update Service Account
PATCH
/api/v1/workspaces/{workspace_id}/service-accounts/{account_id}AuthorizationBearer <token>
A workspace API key (a13n_...)
In: header
Path Parameters
workspace_id*Workspace Id
account_id*Account Id
Header Parameters
If-Match?|
The resource's ETag: "{id}:{version}" of its current view, "{key}:{version}" for a model
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/workspaces/string/service-accounts/string" \ -H "Content-Type: application/json" \ -d '{}'{ "created_at": "2019-08-24T14:15:22Z", "description": "string", "id": "string", "name": "string", "organization_id": "string", "role": "string", "status": "active", "updated_at": "2019-08-24T14:15:22Z", "version": 0, "workspace_id": "string"}